.Compartir_Modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--bg-modulo);
    z-index: var(--capa_sub_maxima);
    display: none
}

.Compartir_Modal>div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%
}

.Compartir_Modal_Dialog {
    margin: auto;
    width: 500px;
    border-radius: 10px;
    position: relative;
    background: var(--modulo-bg);
    padding-bottom: 1.5em;
    overflow: hidden
}

.Compartir_Modal_Body {
    width: 100%;
    height: calc(100% - 70px);
    overflow-y: auto
}

.Compartir_Modal_Body>div {
    width: 80%;
    margin: 20px auto
}

.Compartir_Modal_Body>div>div {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box
}

.Compartir_Modal_Body>div>div:nth-child(1)>div {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 32%;
    margin: 1%;
    padding: 8px;
    color: #fff;
    box-shadow: var(--main-color-sh--tr-shadow);
    border-radius: .4em;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: all .5s;
    user-select: none
}

.Compartir_Modal_Body>div>div:nth-child(1)>div::before {
    opacity: 0;
    position: absolute;
    top: 6px;
    right: 5px;
    font-size: 12px;
}

.Compartir_Modal_Body>div>div:nth-child(1)>div:hover {
    box-shadow: 0 0 0 0 #00000040, inset 15em 5.5em 0 0 #00000030
}

.Compartir_Modal_Selecion {
    pointer-events: none
}

.Compartir_Modal_Selecion::after {
    content: "";
    position: absolute;
    top: -23px;
    right: -28px;
    width: 60px;
    transform: rotate(47deg);
    height: 52px;
    background: #32333461
}

.Compartir_Modal_Selecion::before {
    font-size: 13px;
    color: #fff;
    z-index: 1;
    opacity: 1 !important
}

.Compartir_Modal_Body>div>div:nth-child(1)>div:nth-child(1) {
    background: #279a27
}

.Compartir_Modal_Body>div>div:nth-child(1)>div:nth-child(2) {
    background: #3951c7
}

.Compartir_Modal_Body>div>div:nth-child(1)>div:nth-child(3) {
    background: #652dae
}

.Compartir_Modal_Body>div>div:nth-child(1)>div>div>span {
    font-size: 24px
}

.Compartir_Modal_Body>div>div:nth-child(2) {
    margin: 20px 0;
    padding: 5px;
    display: none
}

.Compartir_Modal_Body>div>div:nth-child(2)>div>label {
    color: var(--main-color-texto-oscuro);
    font-size: 15px;
    display: block;
    margin: 7px 0
}

.Compartir_Label_Hide::before {
    content: ".";
    color: transparent,
}

.Compartir_Modal_Flex {
    display: flex !important
}

#CompartirModalEmail,
#CompartirModalSMS {
    flex: 1 1 auto;
    position: relative;
    display: none
}

.Compartir_Modal_Control span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 10px;
    font-size: 18px;
    color: var(--button-bg)
}

.Compartir_Modal_Control small {
    position: absolute;
    color: var(--color-texto);
    opacity: .7;
    margin: .5em .25em;
    font-weight: 500 !important;
    font-size: smaller
}

.Compartir_Modal_Body>div>div:nth-child(2)>div:nth-child(1)>div {
    padding-left: 33px
}

.Compartir_Modal_Body>div>div:nth-child(2)>div:nth-child(2)>div {
    padding-left: 38px
}

.Compartir_Modal_Editable {
    position: relative;
    font-size: 16px;
    background: var(--modulo-bg);
    border: var(--editable-borde)
}

.Compartir_Modal_Editable:focus {
    border: 2px solid var(--editable-focus);
    background: var(--editable-focus-bg)
}

.Compartir_Modal_Body>div>div:nth-child(2)>div>button {
    padding: 10px 20px;
    min-height: 45px;
    font-size: 15px;
    margin-left: 10px;
    white-space: nowrap;
    border-radius: .3em;
    background: var(--button-bg);
    color: var(--button-text);
    transition: .5s
}

.Compartir_Modal_Body>div>div:nth-child(2)>div>button>i {
    font-size: 18px;
    margin-top: -3px
}

.Compartir_Modal_Body>div>div:nth-child(2)>div>button:hover {
    box-shadow: inset 100px 50px rgba(0, 0, 0, .1)
}

@media (max-width:510px) {
    .Compartir_Modal_Dialog {
        width: 95%
    }

    .Compartir_Modal_Body>div {
        width: 90%
    }
}

@media (max-width:400px) {
    .Compartir_Modal_Dialog {
        padding-bottom: 0
    }

    .Compartir_Modal_Body>div>div {
        flex-wrap: wrap
    }

    .Compartir_Modal_Body>div>div:nth-child(1)>div {
        width: 48%
    }

    .Compartir_Modal_Body>div>div:nth-child(2)>div>button {
        margin-top: 2em;
        margin-left: 0
    }

    #CompartirModalEmail,
    #CompartirModalSMS {
        width: 100%
    }
}

@media (max-height:310px) {
    .Compartir_Modal_Dialog {
        height: 95%
    }
}